-- Upwards fan
function obj97()
	if (obj.dir() ~= 2) then
		return
	end
	if (math.abs(myobj.x() - obj.x()) < TILE*FRACUNIT/2) and (myobj.y() > obj.y() - 6*TILE*FRACUNIT) and (myobj.y() < obj.y()) then
		local thisobj = obj.pointer()
		obj.pointer(myobj.pointer())
		if (obj.keydown("jump")) then
			obj.momy(obj.momy()-FRACUNIT/4)
		elseif (obj.momy() > -3*FRACUNIT) then
			obj.momy(obj.momy()-FRACUNIT/6)
		end
		obj.nogravity(true)
		obj.pointer(thisobj)
	end
	if (math.floor(obj.life()%(TICKRATE/10)) ~= 0) then
		return
	end
	obj.pointer(obj.spawn((obj.x()/FRACUNIT + math.random(obj.w()+1)-1), obj.y()/FRACUNIT, 73))
	obj.y(obj.y()-obj.h())
	obj.momy(-2*FRACUNIT)
	obj.jumping(true)
end
